Sortie de Flash Builder 4.6 et Flex SDK 4.6 en version finale

Comme annoncé par Adobe il y a quelques semaines, la version 4.6 de Flex est sortie aujourd’hui. Avec le SDK 4.6 vient aussi Flash Builder 4.6 qui apporte de nombreux bugfix, notamment sur la fonctionnalité QuickAssist ou la gestion des Native Extensions AIR.

Cette mise à jour est gratuite pour tous les possesseurs d’une licence Flash Builder 4.5 (la version 4.5.1 était déjà une update gratuite). Notez que vous devrez désinstaller votre Flash Builder 4.5 / 4.5.1 avant de pouvoir installer Flash Builder 4.6.

Télécharger Flash Builder 4.6 (contient le SDK 4.6 par défaut)

Télécharger le SDK Flex 4.6

Cette nouvelle version du Flex SDK apporte principalement des améliorations sur le mobile (nouveaux composants, bugfix, …). Plus d »information sur cette page:

http://www.adobe.com/devnet/flex/articles/whats-new-flex-flash-builder-46.html

Je vais couvrir certains de ces nouveaux composants dans des billets sur flex-tutorial.fr.

Quelques précisions

Flex 4.6 utilise Flash Player 11.1. Si vous souhaitez compiler pour une version inférieure de Flash Player, 11 par exemple, gardez bien une copie du SDK Flex 4.5.1 sous la main.

Il se peut que vous ayez une erreur à l’installation de Subversion (http://python.mmitd.com/bugs.adobe.com/jira/browse/FB-32428). Essayez à nouveau d’installer Subversion et cela devrait fonctionner (magique).

La police par défaut sous Windows a été modifiée pour du Consolas (10pt). Ce n’est pas vraiment de la faute de Flash Builder mais plutôt de l’évolution de Eclipse sur lequel il est basé (voir https://bugs.eclipse.org/bugs/show_bug.cgi?id=320616). Pour modifier cela, rendez-vous dans Window > Preferences > tapez « fonts » dans le champ de recherche > Colors and fonts > Basic > Text Font > Edit.

Flex 4.6 est la dernière version de Flex sous la gouvernance totale d’Adobe. Comme expliqué dans les billets précédents, le futur de Flex sera maintenant décidé par la communauté. Si vous voulez réfléchir à Flex, j’organise une session Connect bientôt. Merci d’indiquer vos disponibilités rapidement sur ce Doodle: http://doodle.com/d57ncxvqqgiyebhz

 

12 réflexions au sujet de « Sortie de Flash Builder 4.6 et Flex SDK 4.6 en version finale »

  1. pol2095

    J’ai un gros bug avec, sur SGS quand je fais défiler la View, le contenu de mes textarea et textinput disparaît ou suit avec un temps de retard ?

  2. fnicollet Auteur de l’article

    Cela vient du StageText qui est par défaut sur Android et qui merde. La seule solution est de définir la skin pour ne pas l’utiliser. Je n’ai pas le code exact sous la main, mais c’est un truc comme cela:
    TextInput{
    skinClass: ClassReference(« spark.skins.mobile.TextInputSkin »);
    }
    TextArea{
    skinClass: ClassReference(« spark.skins.mobile.TextAreaSkin »);
    }

    Fabien

  3. Lionel

    Si quelqu’un arrive à avoir des info sur flash builder 4.6 for php… Aucune nouvelle, comme si adobe avait « oublié » cette version. D’autant plus qu’une clé 4.5 for php ne permet pas d’avoir la 4.6 tout court en attendant…

  4. Frédéric THOMAS

    Pour ceux, qui comme moi, utilisaient FB4.5.1 sous eclipse 3.7 qui qui avaient des problèmes pour installer de nouveaux composants ou les updater et idem pour pour les extensions sous STS, tout semble enfin réglé avec FB4.6, je tourne sous STS 2.8.1 (basé sur eclipse 3.7) et je n’ai plus ces soucis et ça, c’est cool !

  5. pol2095

    Super pour le skin.
    un autre soucis, le textarea, avant si on ne définissait pas le height, il s’adaptait à la taille du texte, maintenant il passe dessus et ne redimensionne pas.

  6. Lionel

    Pour ceux que ça intéresse
    our plan is to release Flash Builder 4.6 for PHP in Q1’12.

  7. Christophe Garreau

    Bonjour,
    Pour ma part, Flash Builder 4.6 ne parvient pas à s’installer (sous OS 10.6), après avoir pourtant bien désinstallé FB 4.5.
    Après une journée et plusieurs propositions de solution du support technique Adobe, j’obtiens toujours le message suivant : « Le programme d’installation a rencontré une erreur (-1) lors de l’
    installation. Redémarrez votre ordinateur et réessayez. » Je redémarre et réessaye… et je deviens fou…
    Des échos de ce genre de problème ?

  8. Christophe Garreau

    C’est ce qui s’appelle une réponse rapide !!! :) Merci. Je vais tenter ce Cleaner Tool.
    Christophe

  9. Christophe Garreau

    Bon, conclusion : j’aurais dû te poser la question avant de contacter le support Adobe (même s’ils sont très aimables et réactifs). Ca m’aurait éviter de passer la journée là-dessus, alors que j’avais prévu de migrer tout un projet vers 4.6.
    Le Cleaner Tool a vraissemblablement permis d’éliminer des éléments de pré-releases qui étaient toujours présents et qui, malgré la désinstallation de FB 4.5, empêchaient l’installation complète de FB 4.6.

    Un grand grand MERCI !!! :)

    Christophe

Les commentaires sont fermés.